purescript-0.15.15: PureScript Programming Language Compiler

Safe Haskell | None
Language | Haskell2010

Language.PureScript.AST.Utils

# Documentation

lam :: Ident -> Expr -> Expr #

lamCase :: Ident -> [CaseAlternative] -> Expr #

lamCase2 :: Ident -> Ident -> [CaseAlternative] -> Expr #

mkRef :: Qualified Ident -> Expr #

mkVarMn :: Maybe ModuleName -> Ident -> Expr #

mkVar :: Ident -> Expr #

mkBinder :: Ident -> Binder #

mkLit :: Literal Expr -> Expr #

mkCtor :: ModuleName -> ProperName 'ConstructorName -> Expr #

mkCtorBinder :: ModuleName -> ProperName 'ConstructorName -> [Binder] -> Binder #

unguarded :: Expr -> [GuardedExpr] #

data UnwrappedTypeConstructor #

Constructors

UnwrappedTypeConstructor |

Fields

- utcModuleName :: ModuleName
- utcTyCon :: ProperName 'TypeName
- utcKindArgs :: [SourceType]
- utcArgs :: [SourceType]

utcQTyCon :: UnwrappedTypeConstructor -> Qualified (ProperName 'TypeName) #

unwrapTypeConstructor :: SourceType -> Maybe UnwrappedTypeConstructor #